[Bug 1579978] Re: upgrade to 1:7.2p2-4ubuntu1 fails on ubuntu server

Tomas Cassidy 1579978 at bugs.launchpad.net
Wed May 11 01:30:00 UTC 2016


Hi Robie,

I had the same problem occur this morning on a couple of server installs
running systemd-sysv, so I'm thinking it might not be an upstart-
specific issue.  I rebooted one of the servers and was then able to
upgrade the package successfully.  I haven't yet rebooted the other
server.  Both had a .crash file in /var/crash and I submitted one of
them as bug 1580401.  I couldn't work out how to submit the .crash file
to an existing bug report.

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1579978

Title:
  upgrade to 1:7.2p2-4ubuntu1 fails on ubuntu server

Status in openssh package in Ubuntu:
  New

Bug description:
  This package upgrade failure has occurred on multiple machines, with
  the same error on each machine.  All affected machines are running
  Upstart (upstart-sysv) as /sbin/init.  The package installed/updated
  successfully on a machine running Systemd (systemd-sysv) as
  /sbin/init.

  $ sudo apt full-upgrade
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  Calculating upgrade... Done
  The following packages were automatically installed and are no longer required:
    linux-image-4.2.0-35-generic linux-image-extra-4.2.0-35-generic
  Use 'sudo apt autoremove' to remove them.
  0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
  1 not fully installed or removed.
  After this operation, 0 B of additional disk space will be used.
  Do you want to continue? [Y/n]
  Setting up openssh-server (1:7.2p2-4ubuntu1) ...
  start: Job failed to start
  invoke-rc.d: initscript ssh, action "restart" failed.
  dpkg: error processing package openssh-server (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   openssh-server
  E: Sub-process /usr/bin/dpkg returned an error code (1)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: openssh-server 1:7.2p2-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Tue May 10 11:51:58 2016
  InstallationDate: Installed on 2015-09-04 (249 days ago)
  InstallationMedia: Ubuntu-Server 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: openssh
  UpgradeStatus: Upgraded to xenial on 2016-05-04 (5 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1579978/+subscriptions



More information about the foundations-bugs mailing list